ONVIF::PTZ::Types::ImagingStatus(3pm)

NAME
ONVIF::PTZ::Types::ImagingStatus

DESCRIPTION
Perl data type class for the XML Schema defined complexType ImagingStatus from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   FocusStatus

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::ImagingStatus
   FocusStatus =>  { # ONVIF::PTZ::Types::FocusStatus
     Position =>  $some_value, # float
     MoveStatus => $some_value, # MoveStatus
     Error =>  $some_value, # string
   },
 },

AUTHOR
Generated by SOAP::WSDL